/* TableRenderer.java
--------------------------------------------------------------------------------
Extends the renderer to support images.
*/

package gui;

import main.*;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;

import static main.Main.servers;

public class TableRenderer extends DefaultTableCellRenderer
{
	public TableRenderer()
	{
		super();
		setHorizontalAlignment(JLabel.RIGHT);
	}
	
	public Component getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)
	{
		if(value != null)
			setIcon(new ImageIcon((PlayersImage) value));
		if(isSelected)
		{
			setForeground(table.getSelectionForeground());
			setBackground(table.getSelectionBackground());
		}
		else
		{
			setForeground(table.getForeground());
			setBackground(table.getBackground());
		}
		return this;
	}
}